StandardWatchEventKinds (Java Platform SE 8 )
Keywords: java.nio.file.StandardWatchEventKinds class
Date: 2016-07-28

compact1, compact2, compact3
java.nio.file

## Class StandardWatchEventKinds

- java.lang.Object
- - java.nio.file.StandardWatchEventKinds

-     public final class StandardWatchEventKinds
      extends Object

  Defines the standard event kinds.
  Since:
    1.7

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WatchEvent.Kind<Path>` | `ENTRY_CREATE` Directory entry created.
    `static WatchEvent.Kind<Path>` | `ENTRY_DELETE` Directory entry deleted.
    `static WatchEvent.Kind<Path>` | `ENTRY_MODIFY` Directory entry modified.
    `static WatchEvent.Kind<Object>` | `OVERFLOW` A special event to indicate that events may have been lost or discarded.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OVERFLOW

          public static final WatchEvent.Kind<Object> OVERFLOW

      A special event to indicate that events may have been lost or discarded.

      The `context` for this event is implementation specific and may be `null`. The event `count` may be greater than `1`.

      See Also:
        `WatchService`

    - #### ENTRY_CREATE

          public static final WatchEvent.Kind<Path> ENTRY_CREATE

      Directory entry created.

      When a directory is registered for this event then the `WatchKey` is queued when it is observed that an entry is created in the directory or renamed into the directory. The event `count` for this event is always `1`.

    - #### ENTRY_DELETE

          public static final WatchEvent.Kind<Path> ENTRY_DELETE

      Directory entry deleted.

      When a directory is registered for this event then the `WatchKey` is queued when it is observed that an entry is deleted or renamed out of the directory. The event `count` for this event is always `1`.

    - #### ENTRY_MODIFY

          public static final WatchEvent.Kind<Path> ENTRY_MODIFY

      Directory entry modified.

      When a directory is registered for this event then the `WatchKey` is queued when it is observed that an entry in the directory has been modified. The event `count` for this event is `1` or greater.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.